This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432822 - xqilla needs rebuild, GCC-4.3 fixes
xqilla needs rebuild, GCC-4.3 fixes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xqilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ge...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 11:37 EST by Michel Alexandre Salim
Modified: 2008-02-19 08:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 08:25:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-02-14 11:37:59 EST
Description of problem:
xerces-c in Rawhide has been updated to 2.8.0, necessitating a rebuild of
xqilla (The F-8 branch is probably going to get 2.8.0 too, it's already in the
package CVS).

Problem is, the transition to GCC 4.3 and the header clean-up means that
xqilla does not compile out of the box: a lot of the functions that used to
be included by default now needs its headers specifically included.

Could xqilla be fixed, and the fix sent to upstream? Alternatively, bug upstream
to fix the problem.

Version-Release number of selected component (if applicable):
2.0.0-1.fc9

How reproducible:
Always

Steps to Reproduce:
1. Install latest xerces-c
2. Rebuild xqilla

  
Actual results:
Failure: see URL

Expected results:
Should succeed

Additional info:
Comment 1 Milan Zazrivec 2008-02-19 08:25:26 EST
New version and corresponding koji build:
* xqilla-2.0.0-2.fc9
* http://koji.fedoraproject.org/koji/taskinfo?taskID=441794

Patch fixing g++ 4.3 build problem was sent upstream, I will also update xqilla
source rpm in F-8 branch once it receives new version of Xerces-C.

Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.